Package org.eclipse.birt.chart.factory

# Interface IExternalizer

public interface IExternalizer
Provides services for externalization of static text messages rendered in a chart. The chart title and axis titles are presently externalizable. If chart engine runs within BIRT, ChartReportItemImpl has implemented this interface by default, which reuses the model's externalization mechanism, and will externalize the text with the properties file of the report design or the library. Otherwise the user should implement it.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final char`
`KEY_SEPARATOR`
Defines a separator for a fully externalized message reference containing a key on the LHS and a value on the RHS separated by the key separator.

## Method Summary

Modifier and Type
Method
Description
`String`
`externalizedMessage(String sKey, String sDefaultValue, com.ibm.icu.util.ULocale locale)`

## Field Details

### KEY_SEPARATOR

static final char KEY_SEPARATOR
Defines a separator for a fully externalized message reference containing a key on the LHS and a value on the RHS separated by the key separator.

See Also:
  - Constant Field Values

## Method Details

### externalizedMessage

String externalizedMessage(String sKey, String sDefaultValue, com.ibm.icu.util.ULocale locale)